ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package sequence
  Definition Classes
    ds
- DatasetBoundSequenceDataset
- DatasetBoundSliceDataset
- FASTAInFormatter
- ParquetUnboundSequenceDataset
- ParquetUnboundSliceDataset
- RDDBoundSequenceDataset
- RDDBoundSliceDataset
- SequenceDataset
- SliceDataset

c

org.bdgenomics.adam.ds.sequence

# DatasetBoundSliceDataset 

###

#### case class DatasetBoundSliceDataset extends SliceDataset with DatasetBoundGenomicDataset[Slice, Slice, SliceDataset] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, DatasetBoundGenomicDataset[Slice, Slice, SliceDataset], SliceDataset, AvroGenomicDataset[Slice, Slice, SliceDataset], GenomicDataset[Slice, Slice, SliceDataset], Logging, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DatasetBoundSliceDataset
2. Serializable
3. Serializable
4. Product
5. Equals
6. DatasetBoundGenomicDataset
7. SliceDataset
8. AvroGenomicDataset
9. GenomicDataset
10. Logging
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addReference(referenceToAdd: SequenceRecord): SliceDataset

   Appends metadata for a single reference sequence to the current genomic dataset.

   Appends metadata for a single reference sequence to the current genomic dataset.

   referenceToAdd

     The reference sequence to add.

   returns

     Returns a new GenomicDataset with this reference sequence appended.

   Definition Classes
     GenomicDataset
5.  def addReferences(referencesToAdd: SequenceDictionary): SliceDataset

   Appends reference sequence metadata to the current genomic dataset.

   Appends reference sequence metadata to the current genomic dataset.

   referencesToAdd

     The new reference sequences to append.

   returns

     Returns a new GenomicDataset with the reference sequences appended.

   Definition Classes
     GenomicDataset
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def broadcast()(implicit tTag: ClassTag[Slice]): GenomicBroadcast[Slice, Slice, SliceDataset]
   Definition Classes
     GenomicDataset
8.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], txTag: ClassTag[(Slice, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Slice, Y)]): GenericGenomicDataset[(Slice, X), (Slice, Y)]

   Performs a broadcast inner join between this genomic dataset and another genomic dataset.

   Performs a broadcast inner join between this genomic dataset and another genomic dataset.

   In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

   genomicDataset

     The right genomic dataset in the join.

   returns

     Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

   Definition Classes
     GenomicDataset
   See also

     broadcastRegionJoinAgainst

9.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], txTag: ClassTag[(Slice, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Slice, Y)]): GenericGenomicDataset[(Slice, X), (Slice, Y)]

   Performs a broadcast inner join between this genomic dataset and another genomic dataset.

   Performs a broadcast inner join between this genomic dataset and another genomic dataset.

   In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

   genomicDataset

     The right genomic dataset in the join.

   flankSize

     Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

   returns

     Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

   Definition Classes
     GenomicDataset
   See also

     broadcastRegionJoinAgainst

10.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Slice, X), (Slice, Y)]

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
11.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Slice, X), (Slice, Y)]

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
12.  def broadcastRegionJoinAgainst[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Y, Slice)]): GenericGenomicDataset[(X, Slice), (Y, Slice)]

    Performs a broadcast inner join between this genomic dataset and data that has been broadcast.

    Performs a broadcast inner join between this genomic dataset and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcast

      The data on the left side of the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

    See also

      broadcastRegionJoin

13.  def broadcastRegionJoinAgainstAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], syuTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Y], Slice)]): GenericGenomicDataset[(Iterable[X], Slice), (Seq[Y], Slice)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcast

      The data on the left side of the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

    See also

      broadcastRegionJoinAndGroupByRight

14.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Slice], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Slice], Y)]): GenericGenomicDataset[(Iterable[Slice], X), (Seq[Slice], Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

15.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Slice], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Slice], Y)]): GenericGenomicDataset[(Iterable[Slice], X), (Seq[Slice], Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

16.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Iterable[Slice], X), (Seq[Slice], Y)]

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

17.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Iterable[Slice], X), (Seq[Slice], Y)]

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

18.  def buildTree(rdd: RDD[(ReferenceRegion, Slice)])(implicit tTag: ClassTag[Slice]): IntervalArray[ReferenceRegion, Slice]
    Attributes
      protected
    Definition Classes
      SliceDataset → GenomicDataset
19.  def cache(): SliceDataset

    Caches underlying RDD in memory.

    Caches underlying RDD in memory.

    returns

      Cached GenomicDataset.

    Definition Classes
      DatasetBoundGenomicDataset → GenomicDataset
20.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
21.  def countKmers(kmerLength: Integer): JavaRDD[(String, Long)]

    (Java-friendly) Counts the k-mers contained in this genomic dataset of slices.

    (Java-friendly) Counts the k-mers contained in this genomic dataset of slices.

    kmerLength

      The length of k-mers to count.

    returns

      Returns an RDD containing k-mer/count pairs.

    Definition Classes
      SliceDataset
22.  def countKmers(kmerLength: Int): RDD[(String, Long)]

    (Scala-friendly) Counts the k-mers contained in this genomic dataset of slices.

    (Scala-friendly) Counts the k-mers contained in this genomic dataset of slices.

    kmerLength

      The length of k-mers to count.

    returns

      Returns an RDD containing k-mer/count pairs.

    Definition Classes
      SliceDataset
23.  def createSequenceDictionary(): SliceDataset

    Replace the sequence dictionary for this SliceDataset with one created from the slices in this SliceDataset.

    Replace the sequence dictionary for this SliceDataset with one created from the slices in this SliceDataset.

    returns

      Returns a new SliceDataset with the sequence dictionary replaced.

    Definition Classes
      SliceDataset
24.  val dataset: Dataset[Slice]

    These data as a Spark SQL Dataset.

    These data as a Spark SQL Dataset.

    Definition Classes
      DatasetBoundSliceDataset → GenomicDataset
25.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
26.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
27.  def debug(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
28.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
30.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
31.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
32.  def extract(region: ReferenceRegion): String

    Extract the specified region from this genomic dataset of slices as a string, merging slices if necessary.

    Extract the specified region from this genomic dataset of slices as a string, merging slices if necessary.

    region

      Region to extract.

    returns

      Return the specified region from this genomic dataset of slices as a string, merging slices if necessary.

    Definition Classes
      SliceDataset
33.  def extractRegions(regions: Iterable[ReferenceRegion]): RDD[(ReferenceRegion, String)]

    Extract the specified regions from this genomic dataset of slices as an RDD of (ReferenceRegion, String) tuples, merging slices if necessary.

    Extract the specified regions from this genomic dataset of slices as an RDD of (ReferenceRegion, String) tuples, merging slices if necessary.

    regions

      Zero or more regions to extract.

    returns

      Return the specified regions from this genomic dataset of slices as an RDD of (ReferenceRegion, String) tuples, merging slices if necessary.

    Definition Classes
      SliceDataset
34.  def filterByOverlappingRegion(query: ReferenceRegion): SliceDataset

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    query

      The region to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the query region.

    Definition Classes
      GenomicDataset
35.  def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): SliceDataset

    (Scala-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    (Scala-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the querys region.

    Definition Classes
      DatasetBoundGenomicDataset → GenomicDataset
36.  def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): SliceDataset

    (Java-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    (Java-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the querys region.

    Definition Classes
      GenomicDataset
37.  def flankAdjacent(flankLength: Int): SliceDataset

    (Scala-friendly) For all adjacent slices in this genomic dataset, we extend the slices so that the adjacent slices now overlap by _n_ bases, where _n_ is the flank length.

    (Scala-friendly) For all adjacent slices in this genomic dataset, we extend the slices so that the adjacent slices now overlap by _n_ bases, where _n_ is the flank length.

    flankLength

      The length to extend adjacent slices by.

    returns

      Returns this genomic dataset, with all adjacent slices extended with flanking sequence.

    Definition Classes
      SliceDataset
38.  def flankAdjacent(flankLength: Integer): SliceDataset

    (Java-friendly) For all adjacent slices in this genomic dataset, we extend the slices so that the adjacent slices now overlap by _n_ bases, where _n_ is the flank length.

    (Java-friendly) For all adjacent slices in this genomic dataset, we extend the slices so that the adjacent slices now overlap by _n_ bases, where _n_ is the flank length.

    flankLength

      The length to extend adjacent slices by.

    returns

      Returns this genomic dataset, with all adjacent slices extended with flanking sequence.

    Definition Classes
      SliceDataset
39.  def flattenRddByRegions(): RDD[(ReferenceRegion, Slice)]
    Attributes
      protected
    Definition Classes
      GenomicDataset
40.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Slice], Option[X])], ouoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Slice], Option[Y])]): GenericGenomicDataset[(Option[Slice], Option[X]), (Option[Slice], Option[Y])]

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
41.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Slice], Option[X])], ouoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Slice], Option[Y])]): GenericGenomicDataset[(Option[Slice], Option[X]), (Option[Slice], Option[Y])]

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
42.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Slice], Option[X]), (Option[Slice], Option[Y])]

    (Python-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    (Python-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
43.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Slice], Option[X]), (Option[Slice], Option[Y])]

    (R-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
44.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
45.  def getReferenceRegions(slice: Slice): Seq[ReferenceRegion]

    slice

      Slice to extract a region from.

    returns

      Returns a reference region that covers the entirety of the slice.

    Attributes
      protected
    Definition Classes
      SliceDataset → GenomicDataset
46.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
47.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
48.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
49.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
50.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
51.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
52.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
53.  val isPartitioned: Boolean
    Definition Classes
      DatasetBoundSliceDataset → DatasetBoundGenomicDataset
54.  def isSorted: Boolean
    Definition Classes
      GenomicDataset
55.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
56.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
57.  lazy val jrdd: JavaRDD[Slice]

    The underlying RDD of genomic data, as a JavaRDD.

    The underlying RDD of genomic data, as a JavaRDD.

    Definition Classes
      GenomicDataset
58.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], toxTag: ClassTag[(Slice, Option[X])], uoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Slice, Option[Y])]): GenericGenomicDataset[(Slice, Option[X]), (Slice, Option[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
59.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], toxTag: ClassTag[(Slice, Option[X])], uoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Slice, Option[Y])]): GenericGenomicDataset[(Slice, Option[X]), (Slice, Option[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
60.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Slice, Option[X]), (Slice, Option[Y])]

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
61.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Slice, Option[X]), (Slice, Option[Y])]

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
62.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], toxTag: ClassTag[(Slice, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Slice, Seq[Y])]): GenericGenomicDataset[(Slice, Iterable[X]), (Slice, Seq[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
63.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], toxTag: ClassTag[(Slice, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Slice, Seq[Y])]): GenericGenomicDataset[(Slice, Iterable[X]), (Slice, Seq[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
64.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Slice, Iterable[X]), (Slice, Seq[Y])]

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
65.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Slice, Iterable[X]), (Slice, Seq[Y])]

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
66.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
67.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
68.  def merge(): SequenceDataset

    Merge slices into sequences.

    Merge slices into sequences.

    returns

      Returns a SequenceDataset containing merged slices.

    Definition Classes
      SliceDataset
69.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
70.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
71.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
72.  val optLookbackPartitions: Option[Int]
    Definition Classes
      DatasetBoundSliceDataset → DatasetBoundGenomicDataset
73.  val optPartitionBinSize: Option[Int]
    Definition Classes
      DatasetBoundSliceDataset → DatasetBoundGenomicDataset
74.  lazy val optPartitionMap: None.type
    Attributes
      protected
    Definition Classes
      DatasetBoundSliceDataset → GenomicDataset
75.  def persist(sl: StorageLevel): SliceDataset

    Persists underlying RDD in memory or disk.

    Persists underlying RDD in memory or disk.

    sl

      new StorageLevel

    returns

      Persisted GenomicDataset.

    Definition Classes
      DatasetBoundGenomicDataset → GenomicDataset
76.  def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Slice, Slice, SliceDataset, W]](cmd: List[String], files: List[String], environment: Map[String, String], flankSize: Integer, tFormatter: Class[W], xFormatter: OutFormatter[X], convFn: Function2[SliceDataset, RDD[X], Z]): Z

    (Java/Python-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    (Java/Python-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final genomic dataset.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset
77.  def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Slice, Slice, SliceDataset, W]](cmd: Seq[Any], files: Seq[Any], environment: Map[Any, Any], flankSize: Double, tFormatter: Class[W], xFormatter: OutFormatter[X], convFn: Function2[SliceDataset, RDD[X], Z]): Z

    (R-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    (R-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final genomic dataset.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset
78.  def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Slice, Slice, SliceDataset, W]](cmd: Seq[String], files: Seq[String] = Seq.empty, environment: Map[String, String] = Map.empty, flankSize: Int = 0, optTimeout: Option[Int] = None)(implicit tFormatterCompanion: InFormatterCompanion[Slice, Slice, SliceDataset, W], xFormatter: OutFormatter[X], convFn: (SliceDataset, RDD[X]) ⇒ Z, tManifest: ClassTag[Slice], xManifest: ClassTag[X]): Z

    (Scala-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    (Scala-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    Files are substituted in to the command with a $x syntax. E.g., to invoke a command that uses the first file from the files Seq, use $0. To access the path to the directory where the files are copied, use $root.

    Pipes require the presence of an InFormatterCompanion and an OutFormatter as implicit values. The InFormatterCompanion should be a singleton whose apply method builds an InFormatter given a specific type of GenomicDataset. The implicit InFormatterCompanion yields an InFormatter which is used to format the input to the pipe, and the implicit OutFormatter is used to parse the output from the pipe.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    optTimeout

      An optional parameter specifying how long to let a single partition run for, in seconds. If the partition times out, the partial results will be returned, and no exception will be logged. The partition will log that the command timed out.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset
79.  val productFn: (Slice) ⇒ Slice
    Attributes
      protected
    Definition Classes
      SliceDataset → GenomicDataset
80.  lazy val rdd: RDD[Slice]

    The RDD of genomic data that we are wrapping.

    The RDD of genomic data that we are wrapping.

    Definition Classes
      DatasetBoundSliceDataset → GenomicDataset
81.  val references: SequenceDictionary

    The sequence dictionary describing the reference assembly this dataset is aligned to.

    The sequence dictionary describing the reference assembly this dataset is aligned to.

    Definition Classes
      DatasetBoundSliceDataset → GenomicDataset
82.  def replaceRdd(newRdd: RDD[Slice], newPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]] = None): SliceDataset

    newRdd

      The RDD to replace the underlying RDD with.

    newPartitionMap

      New partition map, if any.

    returns

      Returns a new SliceDataset with the underlying RDD replaced.

    Attributes
      protected
    Definition Classes
      SliceDataset → GenomicDataset
83.  def replaceReferences(newReferences: SequenceDictionary): SliceDataset

    Replaces the reference sequence dictionary attached to a GenomicDataset.

    Replaces the reference sequence dictionary attached to a GenomicDataset.

    newReferences

      The new reference sequence dictionary to attach.

    returns

      Returns a new GenomicDataset with the reference sequences replaced.

    Definition Classes
      DatasetBoundSliceDataset → GenomicDataset
84.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], otxTag: ClassTag[(Option[Slice], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Slice], Y)]): GenericGenomicDataset[(Option[Slice], X), (Option[Slice], Y)]

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoin

85.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], otxTag: ClassTag[(Option[Slice], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Slice], Y)]): GenericGenomicDataset[(Option[Slice], X), (Option[Slice], Y)]

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoin

86.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Slice], X), (Option[Slice], Y)]

    (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
87.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Slice], X), (Option[Slice], Y)]

    (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
88.  def rightOuterBroadcastRegionJoinAgainst[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], oyuTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Y], Slice)]): GenericGenomicDataset[(Option[X], Slice), (Option[Y], Slice)]

    Performs a broadcast right outer join between this genomic dataset and data that has been broadcast.

    Performs a broadcast right outer join between this genomic dataset and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcast

      The data on the left side of the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

    See also

      rightOuterBroadcastRegionJoin

89.  def rightOuterBroadcastRegionJoinAgainstAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], syuTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Y], Slice)]): GenericGenomicDataset[(Iterable[X], Slice), (Seq[Y], Slice)]

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcast

      The data on the left side of the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

    See also

      rightOuterBroadcastRegionJoinAndGroupByRight

90.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Slice], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Slice], Y)]): GenericGenomicDataset[(Iterable[Slice], X), (Seq[Slice], Y)]

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

91.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Slice], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Slice], Y)]): GenericGenomicDataset[(Iterable[Slice], X), (Seq[Slice], Y)]

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

92.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Iterable[Slice], X), (Seq[Slice], Y)]

    (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

93.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Iterable[Slice], X), (Seq[Slice], Y)]

    (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

94.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], otxTag: ClassTag[(Option[Slice], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Slice], Y)]): GenericGenomicDataset[(Option[Slice], X), (Option[Slice], Y)]

    Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
95.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], otxTag: ClassTag[(Option[Slice], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Slice], Y)]): GenericGenomicDataset[(Option[Slice], X), (Option[Slice], Y)]

    Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
96.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Slice], X), (Option[Slice], Y)]

    (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
97.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Slice], X), (Option[Slice], Y)]

    (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
98.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], otixTag: ClassTag[(Option[Slice], Iterable[X])], otsyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Slice], Seq[Y])]): GenericGenomicDataset[(Option[Slice], Iterable[X]), (Option[Slice], Seq[Y])]

    Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

    Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

    Definition Classes
      GenomicDataset
99.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], otixTag: ClassTag[(Option[Slice], Iterable[X])], ousyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Slice], Seq[Y])]): GenericGenomicDataset[(Option[Slice], Iterable[X]), (Option[Slice], Seq[Y])]

    Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

    Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

    Definition Classes
      GenomicDataset
100.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Slice], Iterable[X]), (Option[Slice], Seq[Y])]

     (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
101.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Slice], Iterable[X]), (Option[Slice], Seq[Y])]

     (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
102.  def save(filePath: String, asSingleFile: Boolean, disableFastConcat: Boolean): Unit

     Save slices as Parquet or FASTA.

     Save slices as Parquet or FASTA.

     If filename ends in .fa or .fasta, saves as FASTA. If not, saves slices to Parquet. Defaults to 60 character line length, if saving to FASTA.

     filePath

       Path to save files to.

     asSingleFile

       If true, saves output as a single file.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     Definition Classes
       SliceDataset
103.  def saveAsFasta(filePath: String, asSingleFile: Boolean = false, disableFastConcat: Boolean = false, lineWidth: Int = 60): Unit

     Save slices in FASTA format.

     Save slices in FASTA format.

     The coordinate fields for this slice are appended to the description field for the FASTA description line:

         >description start-slice:strand

     filePath

       Path to save files to.

     asSingleFile

       If true, saves output as a single file.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     lineWidth

       Hard wrap FASTA formatted slice at line width, default 60.

     Definition Classes
       SliceDataset
104.  def saveAsParquet(filePath: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressionCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false): Unit

     Saves this genomic dataset to disk as a Parquet file.

     Saves this genomic dataset to disk as a Parquet file.

     blockSize

       Size per block.

     pageSize

       Size per page.

     compressionCodec

       Name of the compression codec to use.

     disableDictionaryEncoding

       Whether or not to disable bit-packing. Default is false.

     Definition Classes
       DatasetBoundSliceDataset → AvroGenomicDataset → GenomicDataset
105.  def saveAsParquet(pathName: String): Unit

     Saves this genomic dataset to disk as a Parquet file.

     Saves this genomic dataset to disk as a Parquet file.

     pathName

       Path to save the file at.

     Definition Classes
       AvroGenomicDataset
106.  def saveAsParquet(pathName: String, blockSize: Integer, pageSize: Integer, compressionCodec: CompressionCodecName, disableDictionaryEncoding: Boolean): Unit

     (Java-specific) Saves this genomic dataset to disk as a Parquet file.

     (Java-specific) Saves this genomic dataset to disk as a Parquet file.

     pathName

       Path to save the file at.

     blockSize

       The size in bytes of blocks to write.

     pageSize

       The size in bytes of pages to write.

     compressionCodec

       The compression codec to apply to pages.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used.

     Definition Classes
       AvroGenomicDataset
107.  def saveAsParquet(args: SaveArgs): Unit

     Saves a genomic dataset to Parquet.

     Saves a genomic dataset to Parquet.

     args

       The output format configuration to use when saving the data.

     Definition Classes
       GenomicDataset
108.  def saveAsPartitionedParquet(pathName: String, compressionCodec: CompressionCodecName = CompressionCodecName.GZIP, partitionSize: Int = 1000000): Unit

     Saves this RDD to disk in range binned partitioned Parquet format.

     Saves this RDD to disk in range binned partitioned Parquet format.

     pathName

       The path to save the partitioned Parquet file to.

     compressionCodec

       Name of the compression codec to use.

     partitionSize

       Size of partitions used when writing Parquet, in base pairs (bp). Defaults to 1,000,000 bp.

     Definition Classes
       GenomicDataset
109.  def saveAvro[U <: SpecificRecordBase](pathName: String, sc: SparkContext, schema: Schema, avro: Seq[U])(implicit tUag: ClassTag[U]): Unit

     Saves Avro data to a Hadoop file system.

     Saves Avro data to a Hadoop file system.

     This method uses a SparkContext to identify our underlying file system, which we then save to.

     Frustratingly enough, although all records generated by the Avro IDL compiler have a static SCHEMA$ field, this field does not belong to the SpecificRecordBase abstract class, or the SpecificRecord interface. As such, we must force the user to pass in the schema.

     U

       The type of the specific record we are saving.

     pathName

       Path to save records to.

     sc

       SparkContext used for identifying underlying file system.

     schema

       Schema of records we are saving.

     avro

       Seq of records we are saving.

     Attributes
       protected
     Definition Classes
       GenomicDataset
110.  def saveMetadata(pathName: String): Unit

     Called in saveAsParquet after saving genomic dataset to Parquet to save metadata.

     Called in saveAsParquet after saving genomic dataset to Parquet to save metadata.

     Writes any necessary metadata to disk. If not overridden, writes the sequence dictionary to disk as Avro.

     pathName

       The filepath to the file where we will save the Metadata.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset → GenomicDataset
111.  def savePartitionMap(pathName: String): Unit

     Save the partition map to disk.

     Save the partition map to disk. This is done by adding the partition map to the schema.

     pathName

       The filepath where we will save the partition map.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset
112.  def saveRddAsParquet(pathName: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressionCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false, optSchema: Option[Schema] = None): Unit

     Saves a genomic dataset of Avro data to Parquet.

     Saves a genomic dataset of Avro data to Parquet.

     pathName

       The path to save the file to.

     blockSize

       The size in bytes of blocks to write. Defaults to 128 * 1024 * 1024.

     pageSize

       The size in bytes of pages to write. Defaults to 1 * 1024 * 1024.

     compressionCodec

       The compression codec to apply to pages. Defaults to CompressionCodecName.GZIP.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used. Defaults to false.

     optSchema

       The optional schema to set. Defaults to None.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset
113.  def saveRddAsParquet(args: SaveArgs): Unit
     Attributes
       protected
     Definition Classes
       AvroGenomicDataset
114.  def saveReferences(pathName: String): Unit

     Save the reference sequence dictionary to disk.

     Save the reference sequence dictionary to disk.

     pathName

       The path to save the reference sequence dictionary to.

     Attributes
       protected
     Definition Classes
       GenomicDataset
115.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], txTag: ClassTag[(Slice, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Slice, Y)]): GenericGenomicDataset[(Slice, X), (Slice, Y)]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
116.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], txTag: ClassTag[(Slice, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Slice, Y)]): GenericGenomicDataset[(Slice, X), (Slice, Y)]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
117.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Slice, X), (Slice, Y)]

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
118.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Slice, X), (Slice, Y)]

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
119.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], tixTag: ClassTag[(Slice, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Slice, Seq[Y])]): GenericGenomicDataset[(Slice, Iterable[X]), (Slice, Seq[Y])]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
120.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Slice], xTag: ClassTag[X], tixTag: ClassTag[(Slice, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Slice, Seq[Y])]): GenericGenomicDataset[(Slice, Iterable[X]), (Slice, Seq[Y])]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
121.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Slice, Iterable[X]), (Slice, Seq[Y])]

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
122.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Slice, Iterable[X]), (Slice, Seq[Y])]

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
123.  def sort(partitions: Int = rdd.partitions.length, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Slice]): SliceDataset

     Sorts our genome aligned data by reference positions, with references ordered by index.

     Sorts our genome aligned data by reference positions, with references ordered by index.

     partitions

       The number of partitions for the new genomic dataset.

     stringency

       The level of ValidationStringency to enforce.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     Note

       Uses ValidationStringency to handle unaligned or where objects align to multiple positions.

     See also

       sortLexicographically

124.  def sort(): SliceDataset

     Sorts our genome aligned data by reference positions, with references ordered by index.

     Sorts our genome aligned data by reference positions, with references ordered by index.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     See also

       sortLexicographically

125.  def sortLexicographically(partitions: Int = rdd.partitions.length, storePartitionMap: Boolean = false, storageLevel: StorageLevel = StorageLevel.MEMORY_ONLY, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Slice]): SliceDataset

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     partitions

       The number of partitions for the new genomic dataset.

     storePartitionMap

       A Boolean flag to determine whether to store the partition bounds from the resulting genomic dataset.

     storageLevel

       The level at which to persist the resulting genomic dataset.

     stringency

       The level of ValidationStringency to enforce.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     Note

       Uses ValidationStringency to handle data that is unaligned or where objects align to multiple positions.

     See also

       sort

126.  def sortLexicographically(): SliceDataset

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     See also

       sort

127.  lazy val spark: SparkSession
     Definition Classes
       GenomicDataset
     Annotations
       @transient()
128.  final def synchronized[T0](arg0: ⇒ T0): T0
     Definition Classes
       AnyRef
129.  def toDF(): DataFrame

     returns

       These data as a Spark SQL DataFrame.

     Definition Classes
       GenomicDataset
130.  def toReads: ReadDataset

     Convert this genomic dataset of slices into reads.

     Convert this genomic dataset of slices into reads.

     returns

       Returns a new ReadDataset converted from this genomic dataset of slices.

     Definition Classes
       SliceDataset
131.  def toSequences: SequenceDataset

     Convert this genomic dataset of slices into sequences.

     Convert this genomic dataset of slices into sequences.

     returns

       Returns a new SequenceDataset converted from this genomic dataset of slices.

     Definition Classes
       SliceDataset
132.  def toString(): String
     Definition Classes
       GenomicDataset → AnyRef → Any
133.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
134.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
135.  def trace(msg: ⇒ Any): Unit
     Attributes
       protected
     Definition Classes
       Logging
136.  def transform(tFn: Function[JavaRDD[Slice], JavaRDD[Slice]]): SliceDataset

     (Java-specific) Applies a function that transforms the underlying RDD into a new RDD.

     (Java-specific) Applies a function that transforms the underlying RDD into a new RDD.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new genomic dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
137.  def transform(tFn: (RDD[Slice]) ⇒ RDD[Slice]): SliceDataset

     (Scala-specific) Applies a function that transforms the underlying RDD into a new RDD.

     (Scala-specific) Applies a function that transforms the underlying RDD into a new RDD.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new genomic dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
138.  def transformDataFrame(tFn: Function[DataFrame, DataFrame]): SliceDataset

     (Java-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     (Java-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     tFn

       A function that transforms the underlying DataFrame as a DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
139.  def transformDataFrame(tFn: (DataFrame) ⇒ DataFrame)(implicit uTag: scala.reflect.api.JavaUniverse.TypeTag[Slice]): SliceDataset

     (Scala-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     (Scala-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     tFn

       A function that transforms the underlying data as a DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
140.  def transformDataset(tFn: Function[Dataset[Slice], Dataset[Slice]]): SliceDataset

     (Java-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     (Java-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     tFn

       A function that transforms the underlying Dataset as a Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       DatasetBoundSliceDataset → SliceDataset → GenomicDataset
141.  def transformDataset(tFn: (Dataset[Slice]) ⇒ Dataset[Slice]): SliceDataset

     (Scala-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     (Scala-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     tFn

       A function that transforms the underlying Dataset as a Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       DatasetBoundSliceDataset → SliceDataset → GenomicDataset
142.  def transmute[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[JavaRDD[Slice], JavaRDD[X]], convFn: Function2[SliceDataset, RDD[X], Z]): Z

     (Java-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     (Java-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     tFn

       A function that transforms the underlying RDD.

     convFn

       The conversion function used to build the final RDD.

     returns

       A new genomid dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
143.  def transmute[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (RDD[Slice]) ⇒ RDD[X])(implicit convFn: (SliceDataset, RDD[X]) ⇒ Z): Z

     (Scala-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     (Scala-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new genomic dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
144.  def transmuteDataFrame[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[DataFrame, DataFrame], convFn: GenomicDatasetConversion[Slice, Slice, SliceDataset, X, Y, Z]): Z

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     tFn

       A function that transforms the underlying DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
145.  def transmuteDataFrame[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (DataFrame) ⇒ DataFrame)(implicit yTag: scala.reflect.api.JavaUniverse.TypeTag[Y], convFn: (SliceDataset, Dataset[Y]) ⇒ Z): Z

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     tFn

       A function that transforms the underlying DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
146.  def transmuteDataset[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[Dataset[Slice], Dataset[Y]], convFn: GenomicDatasetConversion[Slice, Slice, SliceDataset, X, Y, Z]): Z

     (Java-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     (Java-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     tFn

       A function that transforms the underlying Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
147.  def transmuteDataset[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (Dataset[Slice]) ⇒ Dataset[Y])(implicit yTag: scala.reflect.api.JavaUniverse.TypeTag[Y], convFn: (SliceDataset, Dataset[Y]) ⇒ Z): Z

     (Scala-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     (Scala-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     tFn

       A function that transforms the underlying Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
148.  val uTag: scala.reflect.api.JavaUniverse.TypeTag[Slice]
     Definition Classes
       SliceDataset → GenomicDataset
149.  def union(datasets: SliceDataset*): SliceDataset

     (Scala-specific) Unions together multiple genomic datasets.

     (Scala-specific) Unions together multiple genomic datasets.

     datasets

       Genomic datasets to union with this genomic dataset.

     Definition Classes
       SliceDataset → GenomicDataset
150.  def union(datasets: List[SliceDataset]): SliceDataset

     (Java-specific) Unions together multiple genomic datasets.

     (Java-specific) Unions together multiple genomic datasets.

     datasets

       Genomic datasets to union with this genomic dataset.

     Definition Classes
       GenomicDataset
151.  def unpersist(): SliceDataset

     Unpersists underlying RDD from memory or disk.

     Unpersists underlying RDD from memory or disk.

     returns

       Uncached GenomicDataset.

     Definition Classes
       DatasetBoundGenomicDataset → GenomicDataset
152.  val unproductFn: (Slice) ⇒ Slice
     Attributes
       protected
     Definition Classes
       SliceDataset → GenomicDataset
153.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
154.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()
155.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
156.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
157.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
158.  def warn(msg: ⇒ Any): Unit
     Attributes
       protected
     Definition Classes
       Logging
159.  def writePartitionedParquetFlag(pathName: String, partitionSize: Int): Unit

     Save partition size into the partitioned Parquet flag file.

     Save partition size into the partitioned Parquet flag file.

     pathName

       Path to save the file at.

     partitionSize

       Partition bin size, in base pairs, used in Hive-style partitioning.

     Definition Classes
       AvroGenomicDataset → GenomicDataset
160.  def writeTextRdd[T](rdd: RDD[T], outputPath: String, asSingleFile: Boolean, disableFastConcat: Boolean, optHeaderPath: Option[String] = None): Unit

     Writes an RDD to disk as text and optionally merges.

     Writes an RDD to disk as text and optionally merges.

     rdd

       RDD to save.

     outputPath

       Output path to save text files to.

     asSingleFile

       If true, combines all partition shards.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     optHeaderPath

       If provided, the header file to include.

     Attributes
       protected
     Definition Classes
       GenomicDataset

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from DatasetBoundGenomicDataset[Slice, Slice, SliceDataset]

### Inherited from SliceDataset

### Inherited from AvroGenomicDataset[Slice, Slice, SliceDataset]

### Inherited from GenomicDataset[Slice, Slice, SliceDataset]

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped